package com.hotent.surveyinfo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;

import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 成本调查表模板上传记录表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-01-XX
 */
@ApiModel(value="CostSurveyTemplateUpload对象", description="成本调查表模板上传记录表")
public class CostSurveyTemplateUpload extends BaseModel<CostSurveyTemplateUpload> {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;

    private String taskId;
    
    @ApiModelProperty(value = "监管目录ID")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "成本调查表模板ID")
    @TableField("survey_template_id")
    @JsonProperty("surveyTemplateId")
    private String surveyTemplateId;
    
    @ApiModelProperty(value = "是否必填：0否 1是")
    @TableField("is_required")
    @JsonProperty("isRequired")
    private String isRequired;
    
    @ApiModelProperty(value = "是否上传：0未上传 1已上传")
    @TableField("is_upload")
    @JsonProperty("isUpload")
    private String isUpload;
    
    @ApiModelProperty(value = "上传时间")
    @TableField("upload_time")
    @JsonProperty("uploadTime")
    private LocalDateTime uploadTime;
    
    @ApiModelProperty(value = "上传人")
    @TableField("upload_by")
    @JsonProperty("uploadBy")
    private String uploadBy;
    
    @ApiModelProperty(value = "文件地址")
    @TableField("file_url")
    @JsonProperty("fileUrl")
    private String fileUrl;
    
    @ApiModelProperty(value = "排序号")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private String isDeleted;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;

    // 关联查询字段（非数据库字段）
    @ApiModelProperty(value = "调查表名称")
    @TableField(exist = false)
    @JsonProperty("surveyTemplateName")
    private String surveyTemplateName;
    
    @ApiModelProperty(value = "模板类型：1单记录 2固定表 3动态表")
    @TableField(exist = false)
    @JsonProperty("templateType")
    private String templateType;
    
    @ApiModelProperty(value = "资料类型")
    @TableField(exist = false)
    @JsonProperty("dataType")
    private String dataType;

    @TableField(exist = false)
    private String type;

    @ApiModelProperty(value = "0未审核 1审核通过 2审核拒绝")
    @TableField("audited_status")
    @JsonProperty("auditedStatus")
    private String auditedStatus;

    @ApiModelProperty(value = "审核人")
    @TableField("audited_user_id")
    @JsonProperty("auditedUserId")
    private String auditedUserId;


    @ApiModelProperty(value = "企业单位")
    @JsonProperty("auditedUnitId")
    @TableField("audited_unit_id")
    private String auditedUnitId;

    public String getAuditedUnitId() {
        return auditedUnitId;
    }

    public void setAuditedUnitId(String auditedUnitId) {
        this.auditedUnitId = auditedUnitId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAuditedStatus() {
        return auditedStatus;
    }

    public void setAuditedStatus(String auditedStatus) {
        this.auditedStatus = auditedStatus;
    }

    public String getAuditedUserId() {
        return auditedUserId;
    }

    public void setAuditedUserId(String auditedUserId) {
        this.auditedUserId = auditedUserId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }

    public String getSurveyTemplateId() {
        return surveyTemplateId;
    }

    public void setSurveyTemplateId(String surveyTemplateId) {
        this.surveyTemplateId = surveyTemplateId;
    }

    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    public String getIsUpload() {
        return isUpload;
    }

    public void setIsUpload(String isUpload) {
        this.isUpload = isUpload;
    }

    public LocalDateTime getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(LocalDateTime uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getUploadBy() {
        return uploadBy;
    }

    public void setUploadBy(String uploadBy) {
        this.uploadBy = uploadBy;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getSurveyTemplateName() {
        return surveyTemplateName;
    }

    public void setSurveyTemplateName(String surveyTemplateName) {
        this.surveyTemplateName = surveyTemplateName;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostSurveyTemplateUpload{" +
            "id=" + id +
            ", catalogId=" + catalogId +
            ", surveyTemplateId=" + surveyTemplateId +
            ", isRequired=" + isRequired +
            ", isUpload=" + isUpload +
            ", uploadTime=" + uploadTime +
            ", uploadBy=" + uploadBy +
            ", fileUrl=" + fileUrl +
            ", orderNum=" + orderNum +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
        "}";
    }
}

